
import React from 'react';
import { View, Text, StyleSheet, TextStyle } from 'react-native';
interface Props {
    children?: string|any;
    h1?: true | false;
    h2?: true | false;
    h3?: true | false;
    h4?: true | false;
    h5?: true | false;
    h6?: true | false;
    p?: true | false;
    bold?: true | false;
    italic?: true | false;
    style?: TextStyle;
}
const AppTextContainer: React.FC<Props> =  ({ h1, h2, h3, h4, h5, h6, p, bold, italic, style, children, ...rest }) => {
    return (
        <View style={styles.header}>
            <Text style={[styles.headerText,
            h1 && { fontSize: 48 },
            h2 && { fontSize: 32 },
            h3 && { fontSize: 20 },
            h4 && { fontSize: 18 },
            h5 && { fontSize: 16 },
            p && { fontSize: 12 },
            bold && { fontWeight: 'bold' },
            italic && { fontStyle: 'italic' },
                style

            ]} {...rest}>{children}</Text>
        </View>
    );
};
const styles = StyleSheet.create({
    header: {
        // paddingVertical: 20,
        // borderBottomWidth: 1,
        // borderBottomColor: '#cfcfcf',
        // alignItems: 'center',
    },
    headerText: {
        fontSize: 20,
        // fontWeight: '600',
    },
});
export default AppTextContainer;
