## Table of Contents

1. [Introduction](#1-introduction)
2. [Features](#2-features)
3. [Installation & Setup](#3-installation)
4. [Components](#4-components)
5. [Examples](#5-examples)
6. [Motivation](#6-motivation)
7. [Dependencies](#7-dependencies)



## 1. Introduction?

React Native Awesome is a mobile-first, component library for React Native. it will help to develop an attractive ui and a lots of feature in sometime. 

## 2. Features
1. It supports in both platform android and iOS
2. An Attractive ui 

## 3. Installation

npm i react-native-awesome
react-native run-android
Then import components like below:
*import ScrollableTable from 'rn-scrollable-table'*

## 4. Components

1. [Scrollable Horizontal & Vertical Table]()
2. [Custom Text]()
3. [ErrorBoundary]()
4. [SweetAlert](#4-SweetAlert)
5. [Toast](#5-Toast)
6. [Custom Modal Alert](#6-Custom-Modal-Alert)

## 5. Example

*import ScrollableTable from 'rn-scrollable-table'*

      <ScrollableTable
        headerData={headerData}
        tableData={tableData}
        />


### The Format of headerData and tableData :-
 1. [The Header data can be anything in the format of array like below:-]()

var headerData = ["Ornaments", "Total", "Weight", "Total Sold Out", "Weight", "Net. Weight", "In Stock", "Status"]

  2. [The Table data accept only json Arra. And the key can be anything i just have given one example of the json format but you can pass any key]()

  **NOTE:-**
*The Table Data json key must be the length of the Header Data.*

var tableData = [
{
   key1: "Zumkha", key2: "2", key3: "987KB89", key4: "12/08/2022", key5: "22g", key6: "20g", key7: "75", key8: "Sold"
 },
{
   key1: "Zumkha 2", key2: "22", key3: "087KB89", key4: "12/08/2020", key5: "20g", key6: "10g", key7: "5", key8: "available" 
  },
]


  **. How To use Custom App Text:-**

  - In this app text you can pass h1-h6 as attributes and many more.

     *import {AppText} from 'react-native-awesome'*

        <AppText h1>This is App Text</AppText>

 **. How To use Error Boundary:-**
 - You can use this to prevent crashes your app. it will trace all the error and will disply in custom screen.

  **NOTE:-** 
   Now wrap your main app or Main NavigationContainer with ErrorBoundary in index.js or App.js  

  *import {ErrorBoundary} from 'react-native-awesome'*

        
        <ErrorBoundary>
        <App />
        </ErrorBoundary>

        or 

        <ErrorBoundary>
          <NavigationContainer>
            ...
          </NavigationContainer>
        </ErrorBoundary>  

   
## 4. SweetAlert

## [SweetAlert uses]():-

With the help of this components you can acheive Sweet Alert Message, Custom Alert Message, Loader & Modals.

import {SweetAlert} from 'react-native-awesome'

**Example 1: Sweet Alert Message]**
      
horizontal: false | true to get vertical and horizontal button

    <SweetAlert
    horizontal={false}
      onDismiss={()=>alert("dissmissed)}
      visible={true}
      title="Order Number #11"
      subTitle="Your Order has been placed successfully. we will delivered your order asap."
      onPressButton1={()=>{
          Alert.alert("yes")
      }}
      onPressButton2={()=>{
          Alert.alert("cancel")}
      }
      buttonText1="Yes"
      buttonText2="Cancel"
      />
  

**Example 2: Sweet Alert Message With Custom Button]**

    <SweetAlert
          onDismiss={()=>alert("dissmissed)}
          visible={true}
          title="Order Number #11"
          subTitle="Your Order has been placed successfully. we will delivered your order asap."
          isCustomButton={true}
          >
          <Pressable onPress={()=>alert("Hello")}>
          <Text>Click Me</Text>
          </Pressable>
      </SweetAlert>

**Example 3: Custom Loader ]**
          
           <SweetAlert
             isLoader={true}
             loaderSize="large"       // Optional
             loaderColor='red' .       //Optional
              visible={true}
           />

**Example 4: Custom Modal or Overlay ]**   

             <SweetAlert
              visible={true}
              onDismiss={()=>alert("Will hide to modal when you will click out side popup)}
              >
              <Text>Hello!!</Text>
              
           </SweetAlert>
<p>Additional Props:-</p>

<table  style="width:100%;border: 1px solid black;border-collapse: collapse;">
  <tr>
    <th style="border: 1px solid black;border-collapse: collapse;">props</th>
       <th style="border: 1px solid black;border-collapse: collapse;">default value</th>
    <th style="border: 1px solid black;border-collapse: collapse;">Description</th>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">isLoader</td>
    <td style="border: 1px solid black;border-collapse: collapse;">false</td>
    <td style="border: 1px solid black;border-collapse: collapse;">if 
    it accepts boolean value
    it is used to show loader
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">loaderSize</td>
     <td style="border: 1px solid black;border-collapse: collapse;">small</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
   it accpets "small or large" and it is used to change the size of loader</td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">loaderColor</td>
     <td style="border: 1px solid black;border-collapse: collapse;">red
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
   It accepts color. you can pass any color to cahnge to loader color</td>
  </tr>

 <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">horizontal</td>
     <td style="border: 1px solid black;border-collapse: collapse;">false
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    boolean value, it will change button orientation vertical or horizontal </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">visible</td>
     <td style="border: 1px solid black;border-collapse: collapse;">false
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    boolean value, it is used to hide and show the Sweet Alert Message </td>
  </tr>

  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">title</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    string value, This title message will be displayed as Sweet Alert  title Message </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">subTitle</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    string value, This subTitle message will be displayed as Sweet Alert  subTitle Message </td>
  </tr>

   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">onPressButton1</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    To handle the onPress events of  button 1</td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">onPressButton2</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    To handle the onPress events of  button 2</td>
  </tr>

  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttonColor1</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     blue
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it accepts color to cahnge to button color of button 1</td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttonColor2</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     red
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it accepts color to cahnge to button color of button 2</td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttonTextColor1 || buttonTextColor2 </td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     white
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it accepts color to cahnge the text color of button 1 and button 2 </td>
  </tr>
 <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttonText1</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     Yes
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    string value of button1
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttonText2</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     No
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    string value of button2
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">isCustomButton</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     false
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    boolean  value, if you will pass true then you can pass your own button components as it children.
    example: 
    
          <SweetAlert isCustomButton={true}>
          ..here will be your button components
            </SweetAlert>
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">children</td>
     <td style="border: 1px solid black;border-collapse: collapse;">
     </td>
    <td style="border: 1px solid black;border-collapse: collapse;">

      <SweetAlert>...pass your own custom components in here....</SweetAlert> 

    </td>
  </tr>
</table>          

## 5. Toast

it supports in android and ios. You can custmize it using below props:-

How use it:-

import {ToastController } from 'react-native-awesome';

Now, pass ToastController in side NavigationContainer like bwlow:-
       
        <NavigationContainer>
        ...Your Remaining code...
          <ToastController />
        </NavigationContainer>

Then, 
import {Toast} from 'react-native-awesome'    

Now you can use in any components:-

Toast.showToast({message:"This is custom toast message!!"})})




<p>Additional Props:-</p>

<table  style="width:100%;border: 1px solid black;border-collapse: collapse;">
  <tr>
    <th style="border: 1px solid black;border-collapse: collapse;">props</th>
       <th style="border: 1px solid black;border-collapse: collapse;">default value</th>
    <th style="border: 1px solid black;border-collapse: collapse;">Description</th>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">message</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it will display as text message
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">title</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it will display as title message of Toast message
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">backgroundColor</td>
    <td style="border: 1px solid black;border-collapse: collapse;">'#333'</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
       Background color of Toast message
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">type</td>
    <td style="border: 1px solid black;border-collapse: collapse;">'default'</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
       'success'|'danger'|'info'|'default'|'warning'
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">position</td>
    <td style="border: 1px solid black;border-collapse: collapse;">'bottom'</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
       'top'|'bottom'|'middle'
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">textColor</td>
    <td style="border: 1px solid black;border-collapse: collapse;">'#fff'</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
       color of text message
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">containerStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
      it supports all the props style of view. you can use it to cusomize toast messge.
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">messageTextStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
      it supports all the props style of Text. you can use it to cusomize toast  messge style.
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">titleTextStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
      it supports all the props style of Text. you can use it to cusomize toast title style.
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">duration</td>
    <td style="border: 1px solid black;border-collapse: collapse;">1000</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
      Used it to delay the popup message to hide and show
    </td>
  </tr>
  </table>

 ## 6. Custom Modal Alert
   it supports in android and ios platform. You can customize it using below props:-

    How to use it:-

    import {AlertController } from 'react-native-awesome';

    Now, pass AlertController in side NavigationContainer like bwlow:-
          
            <NavigationContainer>
            ...Your Remaining code...
              <AlertController />
            </NavigationContainer>

    Then, 
    import {CustomAlert} from 'react-native-awesome'    

    Now you can use in any components to call this function:-

    CustomAlert.showAlert({title:"Title of Custom Modal Alert",message:"This is custom modal message!!"})})


<p>Additional Props:-</p>

<table  style="width:100%;border: 1px solid black;border-collapse: collapse;">
  <tr>
    <th style="border: 1px solid black;border-collapse: collapse;">props</th>
       <th style="border: 1px solid black;border-collapse: collapse;">default value</th>
    <th style="border: 1px solid black;border-collapse: collapse;">Description</th>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">message</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it will display as text message
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">title</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it will display as title message
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">cancelable</td>
    <td style="border: 1px solid black;border-collapse: collapse;">false</td>
    <td style="border: 1px solid black;border-collapse: collapse;">
   To enable and disable cancelable outside alert
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">onPress</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    call back function; in this function passing the index value of  button. By checking the button index you can handle the events
    like onPress:(value)=>if(value==0){
      console.log(onPressed button 1)
    }
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">buttons</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
    it is addition props if you will not pass this props then default button will be visible else buttons props will be visible.
    it takes an array as an argument.
    Basically it is used to pass the value and styles of buttons
    exmple:
    buttons:[
      {text:"Cancel",style:{},textStyle:{}},
      {text:"Yes",style:{},textStyle:{}}
      ] 
      here:-
       style: this props is used to customize the button,
       textStyle:this props is used to customize the button Text 
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">messageTextStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
  To customize the styles of message
    </td>
  </tr>
   <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">titleTextStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
  To customize the styles of title
    </td>
  </tr>
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">containerStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
  To customize the width height etc of Custom Alert popup.
    </td>
  </tr>
  
  <tr>
    <td style="border: 1px solid black;border-collapse: collapse;">defaultButtonText | defaultButtonStyle | defaultButtonTextStyle</td>
    <td style="border: 1px solid black;border-collapse: collapse;"></td>
    <td style="border: 1px solid black;border-collapse: collapse;">
  These props is used to customize the default button
    </td>
  </tr>
  </table>