import React from "react";
import {
  View,
  StyleSheet,
  ScrollView,
  FlatList,
  Pressable,
  TouchableOpacity,
  Text,
} from "react-native";

import AppText from "./AppText";

const Colors = {
  Primary: "#202020",
  ActivePrimary: "#FFBA09",
  MenuColor: "#AEAEAE",
  BorderColor: "#AEAEAE",
  white: "#FFF",
};

export default function ScrollableTableContainer({
  tableTitle,
  onRefresh,
  headerData = [],
  tableData = [],
}) {
  // var headerData=["Ornaments","Total","Weight","Total Sold Out","Weight","Net. Weight","In Stock","Status"]

  const renderItem = ({ item, index }) => {
    let rowData = Object.values(item);

    return (
      <View style={styles.contentRow}>
        {rowData.map((element, index) => (
          <View key={index.toString() + "_"} style={styles.contentCell}>
            <AppText style={styles.dataConentTxt}>{element}</AppText>
          </View>
        ))}
      </View>
    );
  };

  return (
    <View>
      {/* <View
        style={{
          flexDirection: "row",
          justifyContent: "space-between",
          marginBottom: 10,
        }}
      >
        {tableTitle && <AppText>{tableTitle}</AppText>}
        {onRefresh && (
          <Pressable
            style={{ backgroundColor: "blue", borderRadius: 5, padding: 8 }}
            onPress={() => console.log("refreshed successfully")}
          >
            <AppText style={{ color: "#FFF" }}>Refresh</AppText>
          </Pressable>
        )}
      </View> */}

      <ScrollView horizontal={true} showsHorizontalScrollIndicator={false}>
        <View style={{ width: "90%" }}>
          {headerData.length > 0 && (
            <View style={styles.headerRow}>
              {headerData.map((element) => (
                <View style={styles.headerCell}>
                  <AppText style={styles.headerContentTxt}>{element}</AppText>
                </View>
              ))}
            </View>
          )}
          {/* {[1,2,3,4,5,6,3,4,5,6,6,4,4,3,43,34].map((element,index)=> */}
          <FlatList
            style={{ width: "120%", paddingBottom: 400 }}
            data={tableData}
            keyExtractor={(index) => index.toString()}
            // data={[1,2,3,4,5,34,6,7,8,9,3,0,0,5,4,3,3,3,2,,3,33,3,3,3,5]}
            // showsVerticalScrollIndicator={false}
            renderItem={renderItem}
            // renderItem={({item,index})=>(
            // <View style={styles.contentRow}>

            //     <View style={styles.contentCell}>
            //     <AppText style={styles.dataConentTxt}>Zumkha</AppText>
            //     </View>

            // </View>
            // )}
          />
        </View>
      </ScrollView>
    </View>
  );
}
const styles = StyleSheet.create({
  headerCell: {
    width: 150,
    // backgroundColor:'red',
    borderRightWidth: 1,
    borderRightColor: Colors.BorderColor,
    height: "100%",
    borderBottomColor: Colors.BorderColor,
    borderBottomWidth: 0.5,
    borderTopColor: Colors.BorderColor,
    borderTopWidth: 1,

    justifyContent: "center",
    alignItems: "center",
    backgroundColor: "#E9E9E9",
  },
  contentCell: {
    width: 150,
    // backgroundColor:'red',
    borderRightWidth: 1,
    borderRightColor: Colors.BorderColor,
    // height:'100%',
    justifyContent: "center",
    alignItems: "center",
    borderBottomColor: Colors.BorderColor,
    borderBottomWidth: 0.5,
    borderTopColor: Colors.BorderColor,
    borderTopWidth: 0.5,
    backgroundColor: "#F5F5F5",
  },
  headerRow: {
    flexDirection: "row",

    borderLeftColor: Colors.BorderColor,
    borderLeftWidth: 1,
    // justifyContent:'center',
    // alignItems:'center',
    height: 50,

    // width:'95%',
    // width:'120%',
    // backgroundColor:'#F0F0F0'
  },
  contentRow: {
    flexDirection: "row",

    // justifyContent:'center',
    // alignItems:'center',
    height: 50,
    borderLeftColor: Colors.BorderColor,
    borderLeftWidth: 1,
    // width:'95%'
  },
  headerContentTxt: {
    color: Colors.Primary,
    // fontFamily: "BeVietnamPro-Medium",
    fontSize: 14,
  },
  dataConentTxt: {
    color: Colors.Primary,
    // fontFamily: "BeVietnamPro-Regular",
    fontSize: 14,
    opacity: 0.8,
  },
});
