import { MutableRefObject } from "react";
import { TextStyle, ViewStyle } from "react-native";

export type ToastRef = {
    show: ({message,title,backgroundColor,type,position,textColor,containerStyle,messageTextStyle,titleTextStyle,duration}:ToastProps) => void
    hide: () => void
}
export type ToastProps={
    message?:string,
    title?:string
    backgroundColor?:string,
    type?:'success'|'danger'|'info'|'default'|'warning',
    position?:'top'|'bottom'|'middle',
    textColor?:string
    positionValue?:number
    containerStyle?:ViewStyle
    messageTextStyle?:TextStyle
    titleTextStyle?:TextStyle,
    duration?:number
}

export default class ToastController {
	static toastRef: MutableRefObject<ToastRef>;
    static setToastRef = (ref: any) => {
        this.toastRef = ref
    }

	static showToast = ({message,title,backgroundColor,type,position,textColor,containerStyle,messageTextStyle,titleTextStyle,duration}:ToastProps) => {
        this.toastRef.current?.show({message,title,backgroundColor,type,position,textColor,containerStyle,messageTextStyle,titleTextStyle,duration});
	};
    static hideToast = () => {
		this.toastRef.current?.hide();
	};
}