import { MutableRefObject } from "react";
import { TextStyle, ViewStyle } from "react-native";


export type CustomModalRef = {
    show: ({message,title,textColor,containerStyle,messageTextStyle,titleTextStyle,cancelable,buttons,defaultButtonText,defaultButtonStyle,defaultButtonTextStyle}:ModalProps) => void
    hide: () => void,
    onPress: (value?:number) =>void
}

export interface AlertButtonRef {
    text?: string | undefined;
    style?: ViewStyle;
    textStyle?:TextStyle
}


export type ModalProps={
    message?:string,
    title?:string
    textColor?:string
    containerStyle?:ViewStyle
    messageTextStyle?:TextStyle
    titleTextStyle?:TextStyle
    cancelable?: boolean | undefined;
    buttons?:Array<AlertButtonRef>
    onPress?:(value?:any)=>void,
    defaultButtonText?:string | undefined,
    defaultButtonStyle?:ViewStyle
    defaultButtonTextStyle?:TextStyle
}

export default class ModalController {
	static modalRef: MutableRefObject<CustomModalRef>;
    static setModalRef = (ref: any) => {
        this.modalRef = ref
    }

    static alertButtonRef: MutableRefObject<AlertButtonRef>;
    static setAlertButtonRef = (ref: any) => {
        this.alertButtonRef = ref
    }

	static showAlert = ({message,title,textColor,containerStyle,messageTextStyle,titleTextStyle,cancelable,buttons,onPress,defaultButtonText,defaultButtonStyle,defaultButtonTextStyle}:ModalProps) => {
        this.modalRef.current?.show({message,title,textColor,containerStyle,messageTextStyle,titleTextStyle,cancelable,buttons,onPress,defaultButtonText,defaultButtonStyle,defaultButtonTextStyle});
	};
    static hideAlert = () => {
		this.modalRef.current?.hide();
	};

    static onPress = (value:number) => {
        this.modalRef.current?.onPress(value)
	};

	static element: any;
}