import Fonts from './Fonts'
import Metrics from './Metrics'
import Colors from './Colors'

// This file is for a reusable grouping of Theme items.
// Similar to an XML fragment layout in Android

const ApplicationStyles = {
  mainContainer: {
    flex: 1,
    backgroundColor: Colors.snow
  },
  dataNotFoundTitle: {
    fontSize: 20,
    // fontFamily:'Roboto_medium'
    fontWeight: 'bold',
    marginTop: 20
  },
  dataNotFoundSubTitle: {
    fontSize: 16,
    textAlign: 'center',
    marginTop: 10
  },
  mainContainerPadder: {
    flex: 1,
    backgroundColor: Colors.transparent,
    paddingHorizontal: 10
  },
  mainContent: {
    flex: 1,
    backgroundColor: Colors.snow,
  },
  mainContentPadder: {
    flex: 1,
    // backgroundColor: Colors.snow,
    paddingHorizontal: 10
  },
  maincontent: {
    flex: 1,
  },
  backgroundImage: {
    position: 'absolute',
    top: 0,
    left: 0,
    bottom: 0,
    right: 0
  },
  container: {
    flex: 1,
    paddingTop: Metrics.baseMargin,
    backgroundColor: Colors.transparent
  },
  hideBottomBorder: {
    borderBottomWidth: 0
  },
  section: {
    margin: Metrics.section,
    padding: Metrics.baseMargin
  },
  sectionText: {
    ...Fonts.style.normal,
    paddingVertical: Metrics.doubleBaseMargin,
    color: Colors.snow,
    marginVertical: Metrics.smallMargin,
    textAlign: 'center'
  },
  subtitle: {
    color: Colors.text,
    padding: Metrics.smallMargin,
    marginBottom: Metrics.smallMargin,
    marginHorizontal: Metrics.smallMargin
  },
  titleText: {
    ...Fonts.style.h2,
    fontSize: 14,
    color: Colors.text
  },

  darkLabelContainer: {
    padding: Metrics.smallMargin,
    paddingBottom: Metrics.doubleBaseMargin,
    borderBottomColor: Colors.border,
    borderBottomWidth: 1,
    marginBottom: Metrics.baseMargin
  },
  darkLabel: {
    fontFamily: Fonts.type.bold,
    color: Colors.snow
  },
  groupContainer: {
    margin: Metrics.smallMargin,
    flexDirection: 'row',
    justifyContent: 'space-around',
    alignItems: 'center'
  },
  sectionTitle: {
    ...Fonts.style.h4,
    color: Colors.coal,
    backgroundColor: Colors.ricePaper,
    padding: Metrics.smallMargin,
    marginTop: Metrics.smallMargin,
    marginHorizontal: Metrics.baseMargin,
    borderWidth: 1,
    borderColor: Colors.ember,
    alignItems: 'center',
    textAlign: 'center'
  },
  listItem: {
    marginLeft: 0,
    paddingLeft: 10,
  },
  listitem_header: {
    marginLeft: 0,
    paddingLeft: 10,
    height: 40

  },
  listItem_col: {
    marginLeft: 0,
    paddingLeft: 10,
    flexDirection: 'column',
    alignSelf: 'flex-start',
    alignItems: 'flex-start',
  },
  text_input: {
    borderBottomColor: Colors.disable,
    borderBottomWidth: 1,
    fontSize: Fonts.size.input,

  },
  errorMessage: {
    color: 'red',
    fontSize: 12
  },
  tintMessage: {
    color: Colors.greys,
    fontSize: 12,
    marginBottom: -5
  },
  devider_view: {
    height: 1,
    backgroundColor: Colors.disable,
    marginVertical: 10,
  },
  card_1: {
    marginLeft: 0,
    marginRight: 0,
  }
}

export default ApplicationStyles
