import { Dimensions } from 'react-native';
const { width, height } = Dimensions.get('window');
import Colors from './Colors'

//Guideline sizes are based on standard ~5" screen mobile device
const guidelineBaseWidth = 350;
const guidelineBaseHeight = 680;

const scale = size => width / guidelineBaseWidth * size;
const verticalScale = size => height / guidelineBaseHeight * size;
const moderateScale = (size, factor = 0.5) => size + ( scale(size) - size ) * factor;

const type = {
  libreCaslonDisplay:'LibreCaslonDisplay-Regular',
  robotoBlack:'Roboto-Black',
  robotoBlackItalic:'Roboto-BlackItalic',
  robotoBold: 'Roboto-Bold',
  robotoRegular: 'Roboto-Regular',
  robotoMedium: 'Roboto-Medium',
  robotoBoldItalic:'Roboto-BoldItalic',
  robotoLight: 'Roboto-Light',
  robotoItalic: 'Roboto-Italic',
  robotoLightItalic:'Roboto-LightItalic',
  robotoMediumtalic:'Roboto-MediumItalic',
  robotoThin:'Roboto-Thin',
  robotoThinItalic:'Roboto-ThinItalic',
  robotoMonoLight:'RobotoMono-Light',
  robotoMonoMedium:'RobotoMono-Medium',
  sansSerif:'SansSerif',
  
//not in used
  base: 'Avenir-Book',
  bold: 'Avenir-Black',
  emphasis: 'HelveticaNeue-Italic',
  sfuiDisplayBold: 'SFUIDisplay-Bold',
  sfuiDisplaySemibold: 'SFUIDisplay-Semibold',
  sfuiDisplayRegular: 'SFUIDisplay-Regular',
  sfuiDisplayLight: 'SFUIDisplay-Light',
  sfuiDisplayMedium: 'SFUIDisplay-Medium',
  helveticaNeueLight: 'HelveticaNeue-Light',
  helveticaNeueBold: 'HelveticaNeue-Bold',
  helveticaRegular: 'Helvetica',
  helveticaBold: 'Helvetica-Bold',
  montserratBold:'Montserrat-Bold',
  montserratExtraBold:'Montserrat-ExtraBold',
  montserratMedium:'Montserrat-Medium',
  montserratRegular:'Montserrat-Regular',
  montserratBold:'Montserrat-SemiBold',







  

}

// Lucida Grande", "Helvetica Neue", Helvetica, "Arial Unicode MS", "Arial Unicode", Arial, sans-serif;

const size = {
  h1: 38,
  h2: 34,
  h3: 30,
  h4: 26,
  h5: 20,
  h6: 19,
  input: 18,
  default:16,
  regular: 17,
  medium: 14,
  small: 12,
  tiny: 8.5,
}

const style = {
  h1: {
    fontFamily: type.base,
    fontSize: size.h1,
    color:Colors.base
  },
  h2: {
    fontWeight: 'bold',
    fontSize: size.h2,
    color:Colors.base
  },
  h3: {
    fontFamily: type.emphasis,
    fontSize: size.h3,
    color:Colors.base
  },
  h4: {
    fontFamily: type.base,
    fontSize: size.h4,
    color:Colors.base
  },
  h5: {
    fontFamily: type.base,
    fontSize: size.h5,
    color:Colors.base
  },
  h6: {
    fontFamily: type.emphasis,
    fontSize: size.h6,
    color:Colors.base
  },
  normal: {
    fontFamily: type.robotoRegular,
    fontSize: size.default,
    color:Colors.base
  },
  medium: {
    fontFamily:type.base,
    fontSize: 15,
    color:Colors.base
  },
  default: {
    fontFamily: type.base,
    fontSize: size.default,
    color:Colors.base
  },
  description: {
    fontFamily: type.base,
    fontSize: size.medium,
    color:Colors.base
  },
}

export default {
  type,
  size,
  style,
  scale,
  verticalScale,
  moderateScale
}
