import {Dimensions, Platform} from 'react-native'

const { width, height } = Dimensions.get('window')
// Used via Metrics.baseMargin
const metrics = {
  WIDTH:width,
  HEIGHT:height,
  marginHorizontal: 10,
  marginVertical: 10,
  section: 25,
  baseMargin: 10,
  doubleBaseMargin: 20,
  basePadding: 10,
  doubleBasePadding: 20,
  smallMargin: 5,
  doubleSection: 50,
  horizontalLineHeight: 1,
  screenWidth: width < height ? width : height,
  screenHeight: width < height ? height : width,
  navBarHeight: (Platform.OS === 'ios') ? 64 : 54,
  buttonRadius: 4,
  v_5:5,
  v_10:10,
  v_20:20,
  v_25: 25,
  v_50: 50,
  v_100: 100,
  v_150:150,
  v_200: 200,
  v_300:300,

  icons: {
    tiny: 15,
    small: 20,
    medium: 30,
    large: 45,
    xl: 50
  },
  images: {
    small: 20,
    medium: 40,
    large: 60,
    xl:120,
    logo: 200
  }
}

export default metrics
